Bug 1000781 - Rename XML files to unique names all over the dir hierarchy
Rename XML files to unique names all over the dir hierarchy
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: defensive-coding-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Eric Christensen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 04:10 EDT by Jérôme Fenal
Modified: 2013-09-10 09:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 09:45:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jérôme Fenal 2013-08-25 04:10:32 EDT
Description of problem:

The guide XML files hierarchy shows file in different sub-directories with the same name.
This makes pushing the resources to Transifex to translation a non-predictable process, with only one of those non unique names being translated.


Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.

Actual results:

Only one of multiple non-uniquely named files ends up on transifex.

Expected results:

Have all files on transifex for translation.


Additional info:

See https://lists.fedoraproject.org/pipermail/docs/2013-August/015194.html

Renaming all non unique file names to unique ones will solve the issue.
Comment 1 Florian Weimer 2013-08-26 05:29:05 EDT
(In reply to Jérôme Fenal from comment #0)
> The guide XML files hierarchy shows file in different sub-directories with
> the same name.
> This makes pushing the resources to Transifex to translation a
> non-predictable process, with only one of those non unique names being
> translated.

Is it okay to use subdirectories as long as the file names are globally unique, or should I move all files into a single directory?
Comment 2 Eric Christensen 2013-08-26 08:59:32 EDT
Yes, the non-unique file names do cause problems but I thought I had seen only non-translateable text in the non-unique files.
Comment 3 Florian Weimer 2013-08-26 09:00:51 EDT
I discussed this with Eric Christensen and we're going to move all XML files into a single directory.
Comment 4 Florian Weimer 2013-08-26 09:41:17 EDT
Fixed in commit 8350ea4f6175e074e9d29b223b442e524fc552af.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.